[PACKAGE]: ../../raw/master/mkp/checkpoint_ha_status-0.0.2-20230616.mkp "checkpoint_ha_status-0.0.2-20230616.mkp"
# Check Point HA Status

This check monitors the HA status of a Check Point firewall.

This is a rewrite of the build in  checkpoint_ha_status check for CMK 2.x. It adds wato options to configure the expected HA status.

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_HA Status_**

<details><summary>Montoring states</summary>

| State | condition | WATO | 
| ------ | ------ | ------ |
| CRIT | HA not installed | yes |
| WARN | not expected state | yes |
| CRIT | not started | yes |
| CRIT | Bloking not OK | yes |
| CRIT | Problem | yes |

</details>

<details><summary>Perfdata</summary>

There are no perfdata

</details>

---
### WATO
<details><summary>Service monitoring rule</summary>

| Section | Rule name |
| ------ | ------ |
| Networking | Check Point HA Status  |

| Option | Defailt value |
| ------ | ------ |
| State not installed | CRIT|
| Select the expected HA state | Active |
| State on not expected HA State | WARN |
| State not started | CRIT |
| State blocking not OK | CRIT |
| State on problem | CRIT |

</details> 

---
### Sample Output

Sample output

![sample output](img/sample.png?raw=true "sample output")

Sample output details

![sample output details](img/sample-details.png?raw=true "sample output details")

